Server Management - Systems Insight Manager
cancel
Showing results for 
Search instead for 
Did you mean: 

Debian & HPSIM

 
Highlighted

Debian & HPSIM

Hi all,
Can I integrate servers with S.O. Debian in HPSIM?? If yes, how can I integrate those machines (exists PSP´s???)?
Thanks.
8 REPLIES 8
Highlighted
Honored Contributor

Re: Debian & HPSIM

hi

There is no PSPs for debian unfortunately. This also means that HP is not developping any agents for Debian. But it doesn't mean that there is no solution: There are severals in fact :


1/HP Web site:
ftp://ftp.compaq.com/pub/products/servers/Linux/linux.pdf
In this document is described how to rebuild the HPASM package on page 25.

2/On the net itself : proliant and debian gives many hits.

Here are some links that will provide you with all the scripts to adapt regular HP agents (HPASM, CMANIC and SMH) to denian environnment.
http://debian.catsanddogs.com/content/view/18/2/

http://debian.catsanddogs.com/component/option,com_remository/Itemid,27/func,select/id,3/


HPasm-rpm2deb-sarge.sh :
The HP System Management Agents. this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPasm-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh

HPcmanic-rpm2deb-sarge[1].sh
The HP System Management Network Agents. this shellscript creates da debian package of cmanic. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPcmanic-rpm2deb-sarge.sh.gz then just execute it: sh HPcmanic-rpm2deb-sarge.sh

HPsmh-rpm2deb-sarge.sh
The HP System Management Homepage. Install the hpasm package first! this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPsmh-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh



Hope it helps

best regards

Frederic

“Life is pleasant. Death is peaceful. It's the transition that's troublesome.” Isaac Asimov
Highlighted
Honored Contributor

Re: Debian & HPSIM

hi

There is no PSPs for debian unfortunately. This also means that HP is not developping any agents for Debian. But it doesn't mean that there is no solution: There are severals in fact :


1/HP Web site:
ftp://ftp.compaq.com/pub/products/servers/Linux/linux.pdf
In this document is described how to rebuild the HPASM package on page 25.

2/On the net itself : proliant and debian gives many hits.

Here are some links that will provide you with all the scripts to adapt regular HP agents (HPASM, CMANIC and SMH) to denian environnment.
http://debian.catsanddogs.com/content/view/18/2/

http://debian.catsanddogs.com/component/option,com_remository/Itemid,27/func,select/id,3/


HPasm-rpm2deb-sarge.sh :
The HP System Management Agents. this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPasm-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh

HPcmanic-rpm2deb-sarge[1].sh
The HP System Management Network Agents. this shellscript creates da debian package of cmanic. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPcmanic-rpm2deb-sarge.sh.gz then just execute it: sh HPcmanic-rpm2deb-sarge.sh

HPsmh-rpm2deb-sarge.sh
The HP System Management Homepage. Install the hpasm package first! this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPsmh-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh



Hope it helps

best regards

Frederic

“Life is pleasant. Death is peaceful. It's the transition that's troublesome.” Isaac Asimov
Highlighted
Honored Contributor

Re: Debian & HPSIM

hi

There is no PSPs for debian unfortunately. This also means that HP is not developping any agents for Debian. But it doesn't mean that there is no solution: There are severals in fact :


1/HP Web site:
ftp://ftp.compaq.com/pub/products/servers/Linux/linux.pdf
In this document is described how to rebuild the HPASM package on page 25.

2/On the net itself : proliant and debian gives many hits.

Here are some links that will provide you with all the scripts to adapt regular HP agents (HPASM, CMANIC and SMH) to denian environnment.
http://debian.catsanddogs.com/content/view/18/2/

http://debian.catsanddogs.com/component/option,com_remository/Itemid,27/func,sel
ect/id,3/


HPasm-rpm2deb-sarge.sh :
The HP System Management Agents. this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPasm-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh

HPcmanic-rpm2deb-sarge[1].sh
The HP System Management Network Agents. this shellscript creates da debian package of cmanic. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPcmanic-rpm2deb-sarge.sh.gz then just execute it: sh HPcmanic-rpm2deb-sarge.sh

HPsmh-rpm2deb-sarge.sh
The HP System Management Homepage. Install the hpasm package first! this shellscript creates da debian package of hpsmh. you need wget and alien, so install them if needed: apt get install wget alien extract the script: gzip -d HPsmh-rpm2deb-sarge.sh.gz then just execute it: sh HPsmh-rpm2deb-sarge.sh



Hope it helps

best regards

Frederic

“Life is pleasant. Death is peaceful. It's the transition that's troublesome.” Isaac Asimov
Highlighted

Re: Debian & HPSIM

Thanks a lot of. I have to test your solutions.
Highlighted
Honored Contributor

Re: Debian & HPSIM

Highlighted

Re: Debian & HPSIM

I also have a business requirement for Ubuntu support - or at least decent Debian support.

Hewlett Packard have poor support for Debian and Ubuntu, even Dell are getting it right. I am not happy with HP because of this!
Highlighted
New Member

Re: Debian & HPSIM

I've tried to install the available .deb packages in one of my ubuntu servers but it won't work, those packages depend on extremely old packages, i.e. one of the packages depends on listdc++ 2 and the oldest version available for my distribution is 5...

Ubuntu is one of the most popular linux distribution out there, why not make packages for it? why do you only support Red Hat Enterprise and Suse Entrepise? HP could at least support the LTS (Long term support) versions of Ubuntu...
Highlighted
New Member

Re: Debian & HPSIM

We are using HP Proliant 365 G5 model for our product integration since long time. We are really looking for HPSIM on Ubuntu. As said, why HP cannot develop ubuntu (lts) packages?